Subject: Re: [BUG] tg3 cannot do PXE (loses MAC address) after soft reboot

From: Ingo Oeser <[email-masked]>
Date: Mon, 17 Sep 2007 13:29:35 +0200

Michael Chan schrieb:
> On Fri, 2007-09-14 at 10:14 +0200, Ingo Oeser wrote:
> > Is it enough to parse the first number in the firmware via simple_strtoul()?
> 
> No, it's not.  We need to check the number after the '.' and possibly an
> alphabet at the end as well.  Worse yet, the version may be different
> for different chips.

Ah, I see. I thought the first number is some constantly increasing
internal version number from your SCM[1] and the other is the 
"marketing release number".

Thank you for explaining this. And that different version for different
chips issue make it really hard. I can see that now.
 
> We'll see if we can come up with a simple way to detect the problem.

That would help your users (like the customers of my employer).
Admins and system vendors will love you for that :-)

Best Regards

Ingo Oeser

[1] Source Control Management e.g. cvs, subversion, git